Sdílet prostřednictvím


Container Services - List Orchestrators

Získá seznam podporovaných orchestrátorů v zadaném předplatném. Operace vrátí vlastnosti každého orchestrátoru, včetně verze, dostupných upgradů a toho, jestli jsou verze nebo upgrady ve verzi Preview.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ContainerService/locations/{location}/orchestrators?api-version=2019-04-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ContainerService/locations/{location}/orchestrators?api-version=2019-04-01&resource-type={resource-type}

Parametry identifikátoru URI

Name V Vyžadováno Typ Description
location
path True

string

Název podporované oblasti Azure.

subscriptionId
path True

string

Přihlašovací údaje předplatného, které jednoznačně identifikují předplatné Microsoft Azure. ID předplatného tvoří součást identifikátoru URI pro každé volání služby.

api-version
query True

string

Verze rozhraní API klienta.

resource-type
query

string

Typ prostředku, pro který se musí vrátit seznam orchestrátorů

Odpovědi

Name Typ Description
200 OK

OrchestratorVersionProfileListResult

OK

Zabezpečení

azure_auth

Azure Active Directory OAuth2 Flow

Typ: oauth2
Tok: implicit
URL autorizace: https://login.microsoftonline.com/common/oauth2/authorize

Rozsahy

Name Description
user_impersonation zosobnění uživatelského účtu

Příklady

List Container Service Orchestrators

Ukázkový požadavek

GET https://management.azure.com/subscriptions/subid1/providers/Microsoft.ContainerService/locations/location1/orchestrators?api-version=2019-04-01

Ukázková odpověď

{
  "id": "/subscriptions/subid1/providers/Microsoft.ContainerService/locations/location1/orchestrators",
  "name": "default",
  "type": "Microsoft.ContainerService/locations/orchestrators",
  "properties": {
    "orchestrators": [
      {
        "orchestratorType": "DCOS",
        "orchestratorVersion": "1.10.0"
      },
      {
        "orchestratorType": "DCOS",
        "orchestratorVersion": "1.9.0"
      },
      {
        "orchestratorType": "DCOS",
        "orchestratorVersion": "1.8.8"
      },
      {
        "orchestratorType": "Swarm",
        "orchestratorVersion": "swarm:1.1.0"
      },
      {
        "orchestratorType": "DockerCE",
        "orchestratorVersion": "17.03.*"
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.8.1",
        "upgrades": [
          {
            "orchestratorVersion": "1.8.4"
          },
          {
            "orchestratorVersion": "1.8.2"
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.9.10",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.9.11",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.10.12",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.10.13",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.9.11",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.10.12",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.10.13",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.10.12",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.10.13",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.11.8",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.11.9",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.10.13",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.11.8",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.11.9",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.11.8",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.11.9",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.12.6",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.12.7",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.11.9",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.12.6",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.12.7",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.12.6",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.12.7",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.13.5",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.12.7",
        "default": true,
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.13.5",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.13.5",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.14.0",
            "isPreview": true
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.14.0",
        "isPreview": true
      }
    ]
  }
}

Definice

Name Description
OrchestratorProfile

Seznam dostupnýchverzích

OrchestratorVersionProfile

Seznam profilů verzí orchestrátoru

OrchestratorVersionProfileListResult

Seznam verzí podporovaných orchestrátorů

OrchestratorProfile

Seznam dostupnýchverzích

Name Typ Description
isPreview

boolean

Jestli je verze Kubernetes aktuálně ve verzi Preview.

orchestratorType

string

Typ orchestrátoru.

orchestratorVersion

string

Verze orchestratoru (hlavní, podverze, oprava).

OrchestratorVersionProfile

Seznam profilů verzí orchestrátoru

Name Typ Description
default

boolean

Ve výchozím nastavení je nainstalována, pokud není zadána verze.

isPreview

boolean

Jestli je verze Kubernetes aktuálně ve verzi Preview.

orchestratorType

string

Typ orchestrátoru.

orchestratorVersion

string

Verze orchestratoru (hlavní, podverze, oprava).

upgrades

OrchestratorProfile[]

Seznam dostupnýchverzích

OrchestratorVersionProfileListResult

Seznam verzí podporovaných orchestrátorů

Name Typ Description
id

string

ID výsledku seznamu profilů verzí orchestrátoru

name

string

Název výsledku seznamu profilů verzí orchestrátoru

properties.orchestrators

OrchestratorVersionProfile[]

Seznam profilů verzí orchestrátoru

type

string

Typ výsledku seznamu profilů verzí orchestrátoru